package com.casic.missiles.modular.system.model;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author casic123
 * @since 2019-05-17
 */
@TableName("alarm_records")
public class AlarmRecords extends Model<AlarmRecords> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;
    /**
     * 设备ID
     */
    @TableField("DEVICE_ID")
    private Integer deviceId;
    /**
     * 设备编号
     */
    @TableField("DEVCODE")
    private String devcode;
    /**
     * 闸井编号
     */
    @TableField("WELL_CODE")
    private String wellCode;
    /**
     * 告警类型
     */
    @TableField("ALARM_TYPE")
    private String alarmType;
    /**
     * 告警内容
     */
    @TableField("ALARM_CONTENT")
    private String alarmContent;
    /**
     * 告警数值
     */
    @TableField("ALARM_VALUE")
    private String alarmValue;
    /**
     * 告警时间
     */
    @TableField("ALARM_TIME")
    private Date alarmTime;
    /**
     * 告警状态
     */
    @TableField("STATUS")
    private String status;
    /**
     * 工单编号
     */
    @TableField("JOB_ID")
    private Integer jobId;
    @TableField("HANDLE_MESSAGE")
    private String handleMessage;
    @TableField(exist = false)
    private Integer jobStatus;

    @TableField(exist = false)
    private String handlePerson;

    @TableField(exist = false)
    private Date handleTime;




    public Integer getJobStatus() {
        return jobStatus;
    }

    public void setJobStatus(Integer jobStatus) {
        this.jobStatus = jobStatus;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    public String getDevcode() {
        return devcode;
    }

    public void setDevcode(String devcode) {
        this.devcode = devcode;
    }

    public String getWellCode() {
        return wellCode;
    }

    public void setWellCode(String wellCode) {
        this.wellCode = wellCode;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public String getAlarmValue() {
        return alarmValue;
    }

    public void setAlarmValue(String alarmValue) {
        this.alarmValue = alarmValue;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getJobId() {
        return jobId;
    }

    public void setJobId(Integer jobId) {
        this.jobId = jobId;
    }

    public String getHandlePerson() {
        return handlePerson;
    }

    public void setHandlePerson(String handlePerson) {
        this.handlePerson = handlePerson;
    }

    public Date getHandleTime() {
        return handleTime;
    }

    public void setHandleTime(Date handleTime) {
        this.handleTime = handleTime;
    }

    public String getHandleMessage() {
        return handleMessage;
    }

    public void setHandleMessage(String handleMessage) {
        this.handleMessage = handleMessage;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "AlarmRecords{" +
        "id=" + id +
        ", deviceId=" + deviceId +
        ", devcode=" + devcode +
        ", wellCode=" + wellCode +
        ", alarmType=" + alarmType +
        ", alarmContent=" + alarmContent +
        ", alarmValue=" + alarmValue +
        ", alarmTime=" + alarmTime +
        ", status=" + status +
        ", jobId=" + jobId +
        ", jobStatus=" + jobStatus +
        "}";
    }
}
